Name: sugar-write-activity
Version: 101
Release: %mkrel 3
Summary: Word processor for Sugar
License: GPLv2+
Group: Graphical desktop/Other
Url: https://sugarlabs.org/
Source: https://download.sugarlabs.org/sources/sucrose/fructose/Write/Write-%{version}.tar.bz2
BuildArch: noarch
BuildRequires: gettext
BuildRequires: python3-abiword
BuildRequires: sugar-toolkit-gtk3
Requires: python3-abiword
Requires: python3-gobject3
Requires: sugar-toolkit-gtk3

%description
The Write activity provides a word processor for the Sugar interface.

%prep
%setup -q -n Write-%{version}

# Fix typelib(Abi)
sed -i '/Abi/s|2.9|3.0|' widgets.py

%build
%{__python3} setup.py build

%install
%{__python3} setup.py install --prefix=%{buildroot}/%{_prefix}

# fix .desktop file
sed -i -e 's!%{buildroot}!!g' %{buildroot}%{_datadir}/applications/*.desktop

# drop unneeded files
rm -rf %{buildroot}%{_datadir}/sugar/activities/*/setup.py
find %{buildroot} -name '*.py.orig' -delete

%find_lang org.laptop.AbiWordActivity

%files -f org.laptop.AbiWordActivity.lang
%doc NEWS
%license COPYING
%{_datadir}/applications/org.laptop.AbiWordActivity.activity.desktop
%{_datadir}/sugar/activities/*


%changelog
* Tue Apr 05 2022 umeabot <umeabot> 101-3.mga9
+ Revision: 1844299
- Mageia 9 Mass Rebuild

* Fri Nov 13 2020 wally <wally> 101-2.mga8
+ Revision: 1645021
- drop buildroot definition from .desktop files
- drop unneeded files
+ danf <danf>
- Switch URLs from http: to https:
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Mon Oct 28 2019 wally <wally> 101-1.mga8
+ Revision: 1456369
- new version 101
- switch to python3

* Wed Mar 13 2019 wally <wally> 100-1.mga7
+ Revision: 1375692
- new version 100

* Wed Feb 06 2019 daviddavid <daviddavid> 99.1-2.mga7
+ Revision: 1363598
- fix bogus typelib(Abi) = 2.9 auto-dependency

* Sun Feb 03 2019 zezinho <zezinho> 99.1-1.mga7
+ Revision: 1362977
- new version 99.1

* Fri Sep 21 2018 umeabot <umeabot> 99-2.mga7
+ Revision: 1291725
- Mageia 7 Mass Rebuild

* Mon Apr 23 2018 zezinho <zezinho> 99-1.mga7
+ Revision: 1221717
- new version 99

* Tue Nov 07 2017 zezinho <zezinho> 98.3-1.mga7
+ Revision: 1176362
- new version 98.3

* Wed Jun 07 2017 akien <akien> 97-2.mga6
+ Revision: 1107210
- Add desktop file

* Mon Jan 18 2016 zezinho <zezinho> 97-1.mga6
+ Revision: 925342
- new version

* Wed Oct 15 2014 umeabot <umeabot> 85-6.mga5
+ Revision: 741395
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 85-5.mga5
+ Revision: 689604
- Mageia 5 Mass Rebuild
+ ovitters <ovitters>
- add gobject-introspection BR for typelib auto BR

* Sat Nov 02 2013 fwang <fwang> 85-4.mga4
+ Revision: 549021
- cleanup requires

* Fri Oct 18 2013 umeabot <umeabot> 85-3.mga4
+ Revision: 519347
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 85-2.mga3
+ Revision: 383721
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 27 2012 zezinho <zezinho> 85-1.mga3
+ Revision: 335619
- new version

* Mon Dec 03 2012 zezinho <zezinho> 84-1.mga3
+ Revision: 326183
- fix build requires
- new version

* Wed Nov 21 2012 zezinho <zezinho> 79-1.mga3
+ Revision: 320128
- newversion

* Sat Nov 19 2011 zezinho <zezinho> 77-1.mga2
+ Revision: 169559
- new version
+ ennael <ennael>
- imported package sugar-write-activity


* Wed Dec 08 2010 Oden Eriksson <oeriksson@mandriva.com> 69-2mdv2011.0
+ Revision: 615039
- the mass rebuild of 2010.1 packages

* Sun Apr 04 2010 Aleksey Lim <alsroot@mandriva.org> 69-1mdv2010.1
+ Revision: 531171
- Sucrose 0.88.0 release

* Mon Oct 12 2009 Aleksey Lim <alsroot@mandriva.org> 68-1mdv2010.0
+ Revision: 456983
- Push 68

* Sat Sep 19 2009 Aleksey Lim <alsroot@mandriva.org> 67-1mdv2010.0
+ Revision: 444551
- Update to 67

* Tue Aug 11 2009 Aleksey Lim <alsroot@mandriva.org> 65-1mdv2010.0
+ Revision: 414978
- Sucrose 0.85.2

* Wed Mar 04 2009 Aleksey Lim <alsroot@mandriva.org> 63-1mdv2009.1
+ Revision: 348323
- Sucrose 0.84.0 release

* Mon Feb 23 2009 Aleksey Lim <alsroot@mandriva.org> 62-1mdv2009.1
+ Revision: 344239
- Sucrose 0.83.6 release

* Sun Feb 15 2009 Aleksey Lim <alsroot@mandriva.org> 61-2mdv2009.1
+ Revision: 340405
- #47343 sugar-write-activity hangs and never starts up

* Tue Jan 20 2009 Aleksey Lim <alsroot@mandriva.org> 61-1mdv2009.1
+ Revision: 332009
- new Sucrose 0.83.4 release

* Sun Jan 11 2009 Aleksey Lim <alsroot@mandriva.org> 60-1mdv2009.1
+ Revision: 328413
- initial commit

